export declare type SearchHentai = {
    title: string;
    id: number;
    thumbnail: string;
    language: NHLanguage;
};
export declare enum NHentaiSort {
    recent = "recent",
    today = "popular-today",
    week = "popular-week",
    all_time = "popular"
}
export declare type NHLanguage = 'japanese' | 'english' | 'chinese';
export declare class SearchResults {
    hentai: SearchHentai[];
    url: string;
    total: number;
    pages: number;
    page: number;
    constructor(query: string, sort?: NHentaiSort);
    lookup(): Promise<this>;
    private getPage;
    private collectHentai;
    next(): Promise<this>;
    goto(page: number): Promise<this>;
    previous(): Promise<this>;
}
export default SearchResults;
//# sourceMappingURL=search_results.d.ts.map